; ==================================================================================================
; Title:   Demo06.asm
; Author:  G. Friedrich  @ August 2003
; Version: 1.0.0
; Purpose: Demonstration program 6 of ObjAsm32.
; ==================================================================================================


%include @Environ(OA32_PATH)\\Code\\Macros\\Model.inc       ;Include & initialize standard modules
SysSetup OOP_WINDOWS;, DEBUG(WND, RESGUARD)                 ;Loads OOP files and OS related objects

include MyIncludes.inc                                  ;Includes application globals
;% include &MacPath&UStrings.inc                             ;Includes Unicode support for DlgTmpl

LoadObjects Dialog, DialogModal,WinControl,TrayIcon

.code
include ProjectASMChatX.inc                                          ;Includes DemoApp06 object

start:                                                      ;Program entry point
    SysInit                                                 ;Runtime initialization of OOP model (Required)
    invoke LoadCommonControls, 0                            ;Activate Controls for XP Dialogs
 
    invoke LoadLibrary,SADD("RichEd20.dll")
    mov hRichEditDLL,eax	

    ResGuard_Start                                          ;Activates ResGuard
    OCall @ProjectASMChatX::ProjectASMChatX.Init, NULL, 0, "MyDialog"                        ;Initialize the object data
    OCall @ProjectASMChatX::ProjectASMChatX.Show                         ;Execute the application
    OCall @ProjectASMChatX::ProjectASMChatX.Done                        ;Finalize it
    ;ResGuard_Show                                           ;Shows ResGuard results
    SysDone                                                 ;Runtime finalization of the OOP model
    invoke FreeLibrary,hRichEditDLL
    invoke ExitProcess, 0                                   ;Exits program returning 0 to the OS
end start
